Bug 191244 - privmsgs dont open new tabs
privmsgs dont open new tabs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 22:10 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 20:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-05-09 22:10:04 EDT
despite having 'open dialogs in tabs' set in my preferences, when someone /msg's
me, it doesn't open a new tab, but appears in a random existing tab like so..

*usersnick* hey davej

If I initiate a /dialog with someone though, their responses do go to that tab,
so it's just the creation of a new tab that's failing.

xchat-2.6.0-4
Comment 1 Dave Jones 2006-05-30 18:54:52 EDT
2.6.0-5 still borken.

Ugh. I went digging through my xchat.conf, and found this..

gui_auto_open_dialog = 0

Flipping it to a '1' fixes this problem.

The only problem being - I don't see any way to set that setting in the GUI, and
upgrading from an earlier release silently changed this to '0' for me.

I notice we're a few versions behind upstream, maybe this is fixed there
already? I'm puzzled as to why more people haven't been affected by this
problem. I guess not everyone keeps their ~/.xchat dirs around when they upgrade
to a new release.
Comment 2 Dave Jones 2007-07-12 16:53:35 EDT
I stopped using xchat sometime earlier this year, so this may have been fixed
for all I know.   Either way, I don't really care, so close this out if you want.
Comment 3 Kevin Kofler 2007-07-12 20:39:07 EDT
At least in 2.8.4, gui_auto_open_dialog defaults to 1. It is also set to 1 in 
my config file which got originally created in 2004 (and I didn't touch this 
setting manually).

Note You need to log in before you can comment on or make changes to this bug.